HaruDoc::loadTTF
HaruDoc::output
HaruDoc
PHP Manual

# HaruDoc::loadType1

(PECL haru >= 0.0.1)

HaruDoc::loadType1 — Load Type1 font

### Description

string HaruDoc::loadType1 ( string `$afmfile` [, string `$pfmfile` ] )

Loads Type1 font from the given file and registers it in the PDF document.

### Parameters

`afmfile`

  Path to an AFM file.

`pfmfile`

  Path to a PFA/PFB file, optional. If it's not set only the glyph data of the font is embedded into the PDF document.

### Return Values

Returns the name of the loaded font on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::loadTTC() - Load the font with the specified index from TTC file
- HaruDoc::loadTTF() - Load TTF font file

HaruDoc::loadTTF
HaruDoc::output
HaruDoc
PHP Manual